CVE-2006-4482

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Multiple heap-based buffer overflows in the (1) str_repeat and (2) wordwrap functions in ext/standard/string.c in PHP before 5.1.5, when used on a 64-bit system, have unspecified impact and attack vectors, a different vulnerability than CVE-2006-1990.

References

ftp://patches.sgi.com/support/free/security/advisories/20061001-01-P.asc

http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.10&r2=1.445.2.14.2.11

http://rhn.redhat.com/errata/RHSA-2006-0688.html

http://secunia.com/advisories/21546

http://secunia.com/advisories/21768

http://secunia.com/advisories/22004

http://secunia.com/advisories/22039

http://secunia.com/advisories/22069

http://secunia.com/advisories/22225

http://secunia.com/advisories/22440

http://secunia.com/advisories/22487

http://secunia.com/advisories/22538

http://secunia.com/advisories/22713

http://securitytracker.com/id?1016984

http://support.avaya.com/elmodocs2/security/ASA-2006-221.htm

http://support.avaya.com/elmodocs2/security/ASA-2006-222.htm

http://support.avaya.com/elmodocs2/security/ASA-2006-223.htm

http://www.debian.org/security/2006/dsa-1206

http://www.novell.com/linux/security/advisories/2006_52_php.html

http://www.php.net/ChangeLog-5.php#5.1.5

http://www.php.net/release_5_1_5.php

http://www.redhat.com/support/errata/RHSA-2006-0669.html

http://www.redhat.com/support/errata/RHSA-2006-0682.html

http://www.securityfocus.com/archive/1/447866/100/0/threaded

http://www.securityfocus.com/bid/19582

http://www.turbolinux.com/security/2006/TLSA-2006-38.txt

http://www.ubuntu.com/usn/usn-342-1

http://www.vupen.com/english/advisories/2006/3318

https://issues.rpath.com/browse/RPL-683

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10121

Details

Source: MITRE

Published: 2006-08-31

Updated: 2018-10-30

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
67421Oracle Linux 4 : php (ELSA-2006-0730 / ELSA-2006-0669)NessusOracle Linux Local Security Checks
high
17713PHP 5.1.x < 5.1.5 Multiple VulnerabilitiesNessusCGI abuses
critical
27921Ubuntu 5.04 / 5.10 / 6.06 LTS : php4, php5 vulnerabilities (USN-342-1)NessusUbuntu Local Security Checks
high
23655Debian DSA-1206-1 : php4 - several vulnerabilitiesNessusDebian Local Security Checks
high
3732PHP 4.x < 4.4.4 / 5.x < 5.1.4 Multiple VulnerabilitiesNessus Network MonitorWeb Servers
medium
22444RHEL 2.1 : php (RHSA-2006:0682)NessusRed Hat Local Security Checks
high
22443RHEL 3 / 4 : php (RHSA-2006:0669)NessusRed Hat Local Security Checks
high
22423CentOS 3 / 4 : php (CESA-2006:0669)NessusCentOS Local Security Checks
high
22343FreeBSD : php -- multiple vulnerabilities (ea09c5df-4362-11db-81e1-000e0c2e438a)NessusFreeBSD Local Security Checks
critical
22053Mandrake Linux Security Advisory : php (MDKSA-2006:122)NessusMandriva Local Security Checks
critical
801073PHP < 4.4.4 / 5.1.4 Multiple VulnerabilitiesLog Correlation EngineWeb Servers
high